Subject: Re: [6lo] Comments on draft-ietf-6lo-nfc-04

From: 최영환 <[email-masked]>
Date: Tue, 11 Oct 2016 08:11:37 +0000

Dear Mr. Dave,

I’m Younghwan Choi (author of ipv6-over-nfc). I’m working on reflecting the comments of you as well as NFC forum.
First of all, I really appreciate your feedback. There were a lot of grammatical mistakes. I think you did really hard work for this.
Almost all comments are editorial and reflected. However, I need to resolve two comments of you about NFC link’s short lifetime.

1.     About short lifetime,
Actually, NFC technologies are from RFID technologies. And the applications and usecases are from single touch-approach.
For example, ID checking, payment, and so on. In those cases, the link lifetime of NFC has extremely short. However, if a user attaches a NFC device for a long time on purpose, this is not a case of short lifetime. For this, do you think I have to put something more into the next version of ipv6-over-nfc document? Then, for example, random values instead of padding ‘0’ in iid generation. How do you think about this?

2.     About iid lasting in multi-touch
Basically, NFC devices use logical 6-bit address. And the logical address is not made in fixed number but random or temporary number. If so, the case of the same iid repeatedly using in multi-touch of NFC devices does not happen.

Thanks a lot for you feedback.
Best regards,
Younghwan Choi

From: 6lo [mailto:[email-masked]] On Behalf Of 최영환
Sent: Tuesday, September 13, 2016 9:42 AM
To: Dave Thaler <[email-masked]>; [email-masked]
Subject: Re: [6lo] Comments on draft-ietf-6lo-nfc-04

Dear Dave,

I'm Younghwan Choi, who is an author of the draft-ietf-6lo-nfc.

First of all, thanks so much for your comments. I've got not only your comments but also lots of feedback from NFC Forum.
I've been being working on the next version of the draft-ietf-6lo-nfc. I'll reflect your comments on that as well.

Best regards,
Younghwan Choi

________________________________
보낸 사람 : "Dave Thaler" <[email-masked]<mailto:[email-masked]>>
보낸 날짜 : 2016-09-13 07:36:15 ( +09:00 )
받는 사람 : [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
참조 :
제목 : [6lo] Comments on draft-ietf-6lo-nfc-04

At last IETF, I took an action item to review draft-ietf-6lo-nfc-04.
A PDF copy with my marked up comments/suggestions is now at
http://research.microsoft.com/~dthaler/draft-ietf-6lo-nfc-04.pdf
(Lots of grammatical corrections, for example.)

The main technical comment is that there’s nothing in the document that
guarantees that the link lifetime is short.  E.g. if you leave your phone within
10cm of your laptop, what prevents the link from lasting indefinitely?
The IID generation mechanism of padding with a fixed prefix is really
bad and needs to be replaced unless there’s something that enforces that
a link cannot last for more than a tiny amount of time.

Dave